Function
connectedComponents
Decomposes an undirected graph into its connected components.
connectedComponents(g, components)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:An undirected graph. Types: Undirected Graph
components | Out-parameter:A property map. Remarks: Each vertex is mapped to a component id. If two vertices share the same id they are in the same component.

Return Values
The number of components.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46